
Name: app-antivirus
Epoch: 1
Version: 1.8.0
Release: 1%{dist}
Summary: Gateway Antivirus
License: GPLv3
Group: ClearOS/Apps
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base
Requires: app-network

%description
The Gateway Antivirus app uses a central antivirus engine to scan web, FTP, mail and more.  It protects devices connected to your network by stopping malware before it has a chance to reach your users.

%package core
Summary: Gateway Antivirus - Core
License: LGPLv3
Group: ClearOS/Libraries
Requires: app-base-core
Requires: app-network-core
Requires: clamav >= 0.99.2
Requires: /usr/bin/freshclam
Requires: /usr/sbin/clamd
Requires: /usr/bin/clamscan

%description core
The Gateway Antivirus app uses a central antivirus engine to scan web, FTP, mail and more.  It protects devices connected to your network by stopping malware before it has a chance to reach your users.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/antivirus
cp -r * %{buildroot}/usr/clearos/apps/antivirus/

install -D -m 0755 packaging/antivirus %{buildroot}/var/clearos/events/upstream_proxy/antivirus
install -D -m 0755 packaging/clamav-check.sh %{buildroot}/usr/sbin/clamav-check.sh
install -D -m 0644 packaging/clamd.php %{buildroot}/var/clearos/base/daemon/clamd.php

%post
logger -p local6.notice -t installer 'app-antivirus - installing'

%post core
logger -p local6.notice -t installer 'app-antivirus-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/antivirus/deploy/install ] && /usr/clearos/apps/antivirus/deploy/install
fi

[ -x /usr/clearos/apps/antivirus/deploy/upgrade ] && /usr/clearos/apps/antivirus/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-antivirus - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-antivirus-core - uninstalling'
    [ -x /usr/clearos/apps/antivirus/deploy/uninstall ] && /usr/clearos/apps/antivirus/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/antivirus/controllers
/usr/clearos/apps/antivirus/htdocs
/usr/clearos/apps/antivirus/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/antivirus/packaging
%dir /usr/clearos/apps/antivirus
/usr/clearos/apps/antivirus/deploy
/usr/clearos/apps/antivirus/language
/usr/clearos/apps/antivirus/libraries
/var/clearos/events/upstream_proxy/antivirus
/usr/sbin/clamav-check.sh
/var/clearos/base/daemon/clamd.php
